#
# Please do not update/rebuild/touch this package before asking first
# to KDE Team
# This package is part of the KDE Stack.
#

%define url_ver	%(echo %{version}|cut -d. -f1,2)
%define framework kirigami2

%define rel 1

Name:		kf5-%framework
Version: 5.115.0
Release:	%mkrel %{rel}
Summary:	A QtQuick based components set
License:	LGPLv2
Group:		Graphical desktop/KDE
URL:		https://techbase.kde.org/Kirigami
Source0:	https://download.kde.org/stable/frameworks/%{url_ver}/%{framework}-%{version}.tar.xz

BuildRequires:	kf5-rpm-macros

# Qt5 BuildRequires
BuildRequires:	pkgconfig(Qt5Concurrent)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Help)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Qml)
BuildRequires:	pkgconfig(Qt5Quick)
BuildRequires:	pkgconfig(Qt5QuickControls2)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)
# runtime dependencies
BuildRequires:	qtgraphicaleffects5

Requires:	qtquickcontrols5
Requires:	qtquickcontrols25
Requires:	qtgraphicaleffects5

Conflicts:	kirigami < 5.113.0


%description
Kirigami is KDE’s lightweight user interface framework for mobile
and convergent applications. It allows Qt developers to easily create
applications that run on most major mobile and desktop platforms without
modification (though adapted user interfaces for different form-factors
are supported and recommended for optimal user experience). It extends
the touch-friendly Qt Quick Controls with larger application building
blocks, following the design philosophy laid out in the Kirigami Human
Interface Guidelines.

%files -f libkirigami2plugin_qt.lang
%doc README.md
%license LICENSE*
%{_kf5_qmldir}/org/kde/kirigami.2/
%{_kf5_datadir}/kdevappwizard/templates/kirigami.tar.bz2

#--------------------------------------------------------------------

%define kirigami2_major 5
%define libkirigami2    %mklibname kf5kirigami2_ %{kirigami2_major}

%package -n	%{libkirigami2}
Summary:	Runtime library for %{name}
Group:		System/Libraries
Requires:	%{name} = %{version}-%{release}

%description -n %{libkirigami2}
Runtime library for %{name}.

%files -n %{libkirigami2}
%{_kf5_libdir}/libKF5Kirigami2.so.%{kirigami2_major}{,.*}

#--------------------------------------------------------------------

%define libkirigami2_dev %mklibname kf5kirigami2 -d

%package -n	%{libkirigami2_dev}
Summary:	Development files for %{name}
Group:		Development/KDE and Qt
Requires:	%{libkirigami2} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{libkirigami2_dev}
This package contains header files needed if you wish to build
applications based on %{name}.

%files -n %{libkirigami2_dev}
%{_kf5_includedir}/Kirigami2/
%{_kf5_libdir}/libKF5Kirigami2.so
%{_kf5_libdir}/cmake/KF5Kirigami2/
%{_kf5_mkspecsdir}/qt_Kirigami2.pri

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n %{framework}-%{version}

%build
%cmake_kf5

%cmake_build

%install
%cmake_install

%find_lang_kf5 libkirigami2plugin_qt


%changelog
* Mon Feb 12 2024 daviddavid <daviddavid> 5.115.0-1.mga10
+ Revision: 2040571
- New version 5.115.0

* Sat Jan 20 2024 daviddavid <daviddavid> 5.114.0-1.mga10
+ Revision: 2032320
- New version 5.114.0

* Sun Jan 07 2024 daviddavid <daviddavid> 5.113.0-2.mga10
+ Revision: 2028470
- New version 5.113.0

* Tue Apr 11 2023 daviddavid <daviddavid> 5.105.0-1.mga9
+ Revision: 1952427
- New version 5.105.0

* Mon Mar 06 2023 neoclust <neoclust> 5.104.0-1.mga9
+ Revision: 1947907
- New version 5.104.0

* Tue Feb 14 2023 neoclust <neoclust> 5.103.0-1.mga9
+ Revision: 1941671
- New version 5.103.0

* Mon Jan 23 2023 neoclust <neoclust> 5.102.0-1.mga9
+ Revision: 1935053
- New version 5.102.0

* Wed Dec 14 2022 daviddavid <daviddavid> 5.101.0-1.mga9
+ Revision: 1922304
- New version 5.101.0

* Sun Nov 27 2022 daviddavid <daviddavid> 5.100.0-1.mga9
+ Revision: 1911928
- New version 5.100.0

* Sun Oct 30 2022 neoclust <neoclust> 5.99.0-1.mga9
+ Revision: 1900367
- New version 5.99

* Wed Sep 14 2022 neoclust <neoclust> 5.98.0-1.mga9
+ Revision: 1887967
- New version 5.98.0

* Fri Aug 26 2022 neoclust <neoclust> 5.97.0-1.mga9
+ Revision: 1880655
- New version 5.97.0

* Tue Jul 26 2022 neoclust <neoclust> 5.96.0-1.mga9
+ Revision: 1871776
- New version 5.96.0

* Tue Apr 26 2022 neoclust <neoclust> 5.93.0-1.mga9
+ Revision: 1853840
- New version 5.93.0

* Sat Apr 09 2022 neoclust <neoclust> 5.92.0-1.mga9
+ Revision: 1848400
- New version 5.92.0

* Wed Apr 06 2022 umeabot <umeabot> 5.88.0-2.mga9
+ Revision: 1846201
- Mageia 9 Mass Rebuild

* Wed Nov 10 2021 neoclust <neoclust> 5.88.0-1.mga9
+ Revision: 1755643
- New version 5.88

* Sun Oct 03 2021 neoclust <neoclust> 5.87.0-1.mga9
+ Revision: 1749107
- New version 5.87.0

* Tue Jul 13 2021 neoclust <neoclust> 5.84.0-1.mga9
+ Revision: 1735893
- New version 5.84.0

* Sat May 15 2021 daviddavid <daviddavid> 5.82.0-1.mga9
+ Revision: 1723467
- New version 5.82.0

* Mon Apr 12 2021 daviddavid <daviddavid> 5.81.0-1.mga9
+ Revision: 1714908
- New version 5.81.0

* Sun Mar 14 2021 daviddavid <daviddavid> 5.80.0-1.mga9
+ Revision: 1702419
- New version 5.80.0

* Fri Feb 26 2021 daviddavid <daviddavid> 5.79.0-1.mga9
+ Revision: 1692407
- New version 5.79.0

* Mon Jan 25 2021 daviddavid <daviddavid> 5.76.0-3.mga9
+ Revision: 1673262
+ rebuild (emptylog)

* Mon Jan 25 2021 neoclust <neoclust> 5.76.0-3.mga8
+ Revision: 1673261
- Revert previous fix

* Mon Jan 25 2021 neoclust <neoclust> 5.76.0-2.mga8
+ Revision: 1673250
- Fix Cyclic dependency detected (mga#28214)

* Sun Dec 06 2020 daviddavid <daviddavid> 5.76.0-1.mga8
+ Revision: 1653347
- New version 5.76.0

* Mon Oct 12 2020 daviddavid <daviddavid> 5.75.0-1.mga8
+ Revision: 1633660
- New version 5.75.0

* Sun Sep 13 2020 daviddavid <daviddavid> 5.74.0-1.mga8
+ Revision: 1625622
- New version 5.74.0

* Sun Aug 09 2020 daviddavid <daviddavid> 5.73.0-1.mga8
+ Revision: 1612331
- New version 5.73.0

* Thu Jul 09 2020 daviddavid <daviddavid> 5.72.0-1.mga8
+ Revision: 1603559
- New version 5.72.0

* Sat Jun 13 2020 neoclust <neoclust> 5.71.0-1.mga8
+ Revision: 1593078
- New verison 5.71.0

* Sat May 09 2020 daviddavid <daviddavid> 5.70.0-1.mga8
+ Revision: 1582024
- New version 5.70.0

* Sun Apr 12 2020 daviddavid <daviddavid> 5.69.0-1.mga8
+ Revision: 1566515
- New version 5.69.0

* Mon Mar 16 2020 daviddavid <daviddavid> 5.68.0-1.mga8
+ Revision: 1556691
- New version 5.68.0

* Thu Feb 20 2020 umeabot <umeabot> 5.67.1-2.mga8
+ Revision: 1546915
- Mageia 8 Mass Rebuild

* Tue Feb 11 2020 daviddavid <daviddavid> 5.67.1-1.mga8
+ Revision: 1490162
- New version 5.67.1

* Wed Feb 05 2020 daviddavid <daviddavid> 5.67.0-1.mga8
+ Revision: 1487146
- New version 5.67.0
+ wally <wally>
- build with new cmake macros

* Sat Dec 14 2019 daviddavid <daviddavid> 5.65.0-1.mga8
+ Revision: 1467157
- New version 5.65.0

* Wed Nov 20 2019 daviddavid <daviddavid> 5.64.1-1.mga8
+ Revision: 1461893
- New version 5.64.1

* Tue Nov 05 2019 neoclust <neoclust> 5.64.0-1.mga8
+ Revision: 1458058
- New version 5.64.0

* Sun Oct 13 2019 daviddavid <daviddavid> 5.63.0-1.mga8
+ Revision: 1452455
- New version 5.63.0

* Wed Sep 25 2019 daviddavid <daviddavid> 5.62.0-1.mga8
+ Revision: 1445681
- New version 5.62.0

* Fri Jul 12 2019 neoclust <neoclust> 5.60.0-1.mga8
+ Revision: 1420670
- New version 5.60.0

* Tue Apr 09 2019 daviddavid <daviddavid> 5.57.0-2.mga7
+ Revision: 1387782
- rebuild with correct tarball

* Tue Apr 09 2019 neoclust <neoclust> 5.57.0-1.mga7
+ Revision: 1387537
- New version 5.57.0

* Sat Mar 30 2019 umeabot <umeabot> 5.56.1-2.mga7
+ Revision: 1382550
- Qt5 Rebuild

* Wed Mar 13 2019 daviddavid <daviddavid> 5.56.1-1.mga7
+ Revision: 1375360
- New version 5.56.1
+ neoclust <neoclust>
- New version 5.56.0

* Sat Feb 09 2019 neoclust <neoclust> 5.55.0-1.mga7
+ Revision: 1364587
- New version 5.55.0

* Mon Jan 21 2019 neoclust <neoclust> 5.54.0-1.mga7
+ Revision: 1358609
- New version 5.54.0

* Mon Dec 17 2018 neoclust <neoclust> 5.53.0-1.mga7
+ Revision: 1342377
- New version 5.53.0

* Tue Oct 09 2018 neoclust <neoclust> 5.51.0-1.mga7
+ Revision: 1319012
- New version 5.51.0
- New version 5.50.0

* Sun Sep 23 2018 umeabot <umeabot> 5.49.0-2.mga7
+ Revision: 1298560
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 neoclust <neoclust> 5.49.0-1.mga7
+ Revision: 1250224
- New version 5.49.0

* Tue May 22 2018 daviddavid <daviddavid> 5.46.0-2.mga7
+ Revision: 1231429
- enable QtGraphicalEffects suppiort

* Fri May 18 2018 neoclust <neoclust> 5.46.0-1.mga7
+ Revision: 1230320
- New version 5.46.0

* Thu Jan 11 2018 neoclust <neoclust> 5.42.0-1.mga7
+ Revision: 1192328
- New version 5.42.0
- New version 5.11.0

* Sat Dec 30 2017 neoclust <neoclust> 5.41.0-1.mga7
+ Revision: 1187544
- New version 5.41.0

* Thu Sep 28 2017 neoclust <neoclust> 5.38.0-1.mga7
+ Revision: 1161285
- New version 5.38.0

* Tue Aug 22 2017 neoclust <neoclust> 5.37.0-1.mga7
+ Revision: 1142934
- New version 5.37.0

* Tue Jul 25 2017 daviddavid <daviddavid> 2.2.0-2.mga7
+ Revision: 1130779
- requires qtquickcontrols5 and qtquickcontrols25

* Tue Jul 25 2017 daviddavid <daviddavid> 2.2.0-1.mga7
+ Revision: 1130757
- new version: 2.2.0

* Tue Sep 27 2016 daviddavid <daviddavid> 1.1.0-1.mga6
+ Revision: 1057113
- new version: 1.1.0

* Sun Sep 11 2016 daviddavid <daviddavid> 1.0.2-1.mga6
+ Revision: 1051474
- initial package kirigami

